# Uses of Interface
javax.naming.ldap.ExtendedRequest

Packages that use ExtendedRequest
Package
Description
javax.naming.ldap
Provides support for LDAPv3 extended operations and controls.

## Uses of ExtendedRequest in javax.naming.ldap

Classes in javax.naming.ldap that implement ExtendedRequest
Modifier and Type
Class
Description
`class`
`StartTlsRequest`
This class implements the LDAPv3 Extended Request for StartTLS as defined in Lightweight Directory Access Protocol (v3): Extension for Transport Layer Security The object identifier for StartTLS is 1.3.6.1.4.1.1466.20037 and no extended request value is defined.
Methods in javax.naming.ldap with parameters of type ExtendedRequest
Modifier and Type
Method
Description
`ExtendedResponse`
InitialLdapContext.`extendedOperation(ExtendedRequest request)`
`ExtendedResponse`
LdapContext.`extendedOperation(ExtendedRequest request)`
Performs an extended operation.